/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration AVR :
    
    MCU             : ATMEGA32
    Dev. Board      : EasyAVR v7 
    SW              : mikroC PRO for AVR v$${AVR_COMPLIER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/

#include "stdint.h"

uint16_t dutyCycle;

void systemInit()
{
     DDD4_bit = 1;
}

void Led_Driver_2_Init()
{
    PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, 255, 1);
    dutyCycle = 0;
}

void Led_Driver_2_Task()
{
    dutyCycle++;
    PWM16bit_Init(_PWM16_PHASE_CORRECT_MODE_8BIT, _PWM16_PRESCALER_16bit_8, _PWM16_NON_INVERTED, dutyCycle, 1);
    if (dutyCycle == 255)
    dutyCycle = 0;
    Delay_ms(10);

}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}